unit uEditorProveedores;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  uEditorContactos, Menus, DB, uDADataTable, JvAppStorage,
  JvAppRegistryStorage, JvComponentBase, JvFormPlacement, ImgList, PngImageList,
  StdActns, ActnList, uCustomView, uViewBase, uViewBarraSeleccion, ComCtrls,
  TB2ExtItems, TBXExtItems, TBX, TB2Item, TB2Dock, TB2Toolbar, ExtCtrls,
  JvExControls, JvComponent, JvNavigationPane,

  uIEditorProveedores, uViewGridBase, uViewGrid, uViewContactos, uViewProveedores,
  pngimage, TBXStatusBars, JvExComCtrls, JvStatusBar;  

type
  TfEditorProveedores = class(TfEditorContactos, IEditorProveedores)
    frViewProveedores1: TfrViewProveedores;
  protected
    procedure EliminarInterno; override;
  public
    constructor Create(AOwner: TComponent); override;
    procedure PonerTitulos(const ATitulo: string = ''); override;
  end;

implementation

uses
  uEditorGridBase, uDataModuleUsuarios, uDialogUtils;

{$R *.dfm}

{ TfEditorProveedores }

constructor TfEditorProveedores.Create(AOwner: TComponent);
begin
  inherited;
  ViewGrid := frViewProveedores1;
end;

procedure TfEditorProveedores.EliminarInterno;
begin
  if (ShowConfirmMessage('¿Desea borrar este proveedor?', '') = IDYES) then
    inherited;
end;

procedure TfEditorProveedores.PonerTitulos(const ATitulo: string);
var
  FTitulo : String;
begin
  FTitulo := 'Lista de proveedores - ' + dmUsuarios.EmpresaActual.NOMBRE;
  inherited PonerTitulos(FTitulo);
end;

end.
